### Signal

# Gtk LinkButton::activate-link

since: 4.0

#### Declaration

    gboolean
    activate_link (
      GtkLinkButton* self,
      gpointer user_data
    )

#### Description [src]

Emitted each time the `GtkLinkButton` is clicked.

The default handler will call `gtk_file_launcher_launch()` with the URI stored inside the `GtkLinkButton:uri` property.

To override the default behavior, you can connect to the ::activate-link signal and stop the propagation of the signal by returning `TRUE` from your handler.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Return value

Type: `gboolean`

`TRUE` if the signal has been handled.